Name: kio_sword
Version: 0.3
Release: 7%{?dist}.1
Summary: A lightweight frontend for the Sword Bible project for KDE
URL: http://lukeplant.me.uk/kio-sword/
License: GPLv2+
Group: System Environment/Libraries
Source: http://downloads.sourceforge.net/kio-sword/kio_sword-%{version}.tar.gz
Patch0: kio_sword-build_fixes.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: kdelibs3-devel sword-devel >= 1.5.8

%description
A lightweight easy-to-use Bible tool for KDE.
Kio-Sword provides access to Bibles, commentaries
and other texts in an easy to use and attractive
interface -- the Konqueror web browser.  It does so
using the SWORD Bible project and implementing a KDE
ioslave, providing the sword:/ protocol.

To use, type 'sword:/' in a Konqueror window location
bar, and browse.  Help files can be found at
'sword:/?help'.

%prep
%setup -q
%patch0 -p0 -b .fixes

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export KDEDIR=`kde-config --prefix`
%configure --disable-rpath
make %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

#Fix symlink to be relative
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/kio_sword/common
pushd $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/kio_sword/
ln -s ../common common
popd

%find_lang kio_sword || touch kio_sword.lang
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT/$HTML_DIR ]; then
	for lang_dir in $RPM_BUILD_ROOT/$HTML_DIR/* ; do
		lang=$(basename $lang_dir)
		echo "%lang($lang) %doc $HTML_DIR/$lang/*" >> kio_sword.lang
	done
fi

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f kio_sword.lang
%defattr(-,root,root,-)
%{_datadir}/apps/%{name}
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svgz
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/services/sword.protocol
%{_libdir}/kde3/%{name}.so
%{_libdir}/kde3/%{name}.la
%doc AUTHORS COPYING README TODO

%changelog
* Tue Jun 16 2009 Deji Akingunola <dakingun@gmail.com> 0.3-7.fc10.1
- Rebuild for sword-1.6.0

* Mon May 26 2008 Deji Akingunola <dakingun@gmail.com> 0.3-7
- Rebuild for sword-1.5.11

* Wed Feb 13 2008 Deji Akingunola <dakingun@gmail.com> 0.3-6
- Rebuild for gcc-4.3

* Tue Jan 02 2008 David Anderson <fedora-packaging@dw-perspective.org.uk> 0.3-5
- BR kdelibs3-devel

* Tue Nov 06 2007 Deji Akingunola <dakingun@gmail.com> 0.3-4
- Rebuild for sword-1.5.10

* Fri Jan 12 2007 David Anderson <fedora-packaging@dw-perspective.org.uk> 0.3-3
- Spec cleanups (thanks to Deji Akingunola)

* Tue Dec 19 2006 David Anderson <fedora-packaging@dw-perspective.org.uk> 0.3-1
- Update to 0.3
- Author moved download to sourceforge
- Fix some suggestions from bz#219873
